Subject: bug#52685: 29.0.50; Horizontal scrolling doesn't work when compiled with pgtk

From: Po Lu <[email-masked]>
Date: Tue, 21 Dec 2021 09:27:59 +0800

Andrey Listopadov <[email-masked]> writes:

> After PGTK was merged I've compiled Emacs with the required switch.  The
> first thing I've noticed was that --with-xinput2 has no effect when
> --with-pgtk switch is supplied, so I've removed it.  I'm not sure if
> this is intentional or not.  The main issue now is that horizontal
> scrolling with a touchpad no longer works for me. All horizontal events
> are registered as mwheel-down events.

To answer your first question: since the PGTK build doesn't use X, the
--with-xinput2 option has no effect.

As for the second problem, I don't see the problem here, but I'm copying
in Yuuki as he might have some ideas.

Thanks.